<?php
$tdataRO_Customer_List_Summary=array();
	$tdataRO_Customer_List_Summary[".NumberOfChars"]=80; 
	$tdataRO_Customer_List_Summary[".ShortName"]="RO_Customer_List_Summary";
	$tdataRO_Customer_List_Summary[".OwnerID"]="";
	$tdataRO_Customer_List_Summary[".OriginalTable"]="area";


	
//	field labels
$fieldLabelsRO_Customer_List_Summary = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsRO_Customer_List_Summary["English"]=array();
	$fieldToolTipsRO_Customer_List_Summary["English"]=array();
	$fieldLabelsRO_Customer_List_Summary["English"]["Region"] = "Region";
	$fieldToolTipsRO_Customer_List_Summary["English"]["Region"] = "";
	$fieldLabelsRO_Customer_List_Summary["English"]["Nos"] = "Nos";
	$fieldToolTipsRO_Customer_List_Summary["English"]["Nos"] = "";
	$fieldLabelsRO_Customer_List_Summary["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsRO_Customer_List_Summary["English"]["Customer Status"] = "";
	if (count($fieldToolTipsRO_Customer_List_Summary["English"])){
		$tdataRO_Customer_List_Summary[".isUseToolTips"]=true;
	}
}


	
	$tdataRO_Customer_List_Summary[".NCSearch"]=true;

	

$tdataRO_Customer_List_Summary[".shortTableName"] = "RO_Customer_List_Summary";
$tdataRO_Customer_List_Summary[".nSecOptions"] = 0;
$tdataRO_Customer_List_Summary[".recsPerRowList"] = 1;	
$tdataRO_Customer_List_Summary[".tableGroupBy"] = "1";
$tdataRO_Customer_List_Summary[".mainTableOwnerID"] = "";
$tdataRO_Customer_List_Summary[".moveNext"] = 1;




$tdataRO_Customer_List_Summary[".showAddInPopup"] = false;

$tdataRO_Customer_List_Summary[".showEditInPopup"] = false;

$tdataRO_Customer_List_Summary[".showViewInPopup"] = false;


$tdataRO_Customer_List_Summary[".fieldsForRegister"] = array();

$tdataRO_Customer_List_Summary[".listAjax"] = false;

	$tdataRO_Customer_List_Summary[".audit"] = false;

	$tdataRO_Customer_List_Summary[".locking"] = false;
	
$tdataRO_Customer_List_Summary[".listIcons"] = true;




$tdataRO_Customer_List_Summary[".showSimpleSearchOptions"] = false;

$tdataRO_Customer_List_Summary[".showSearchPanel"] = true;


$tdataRO_Customer_List_Summary[".isUseAjaxSuggest"] = true;

$tdataRO_Customer_List_Summary[".rowHighlite"] = true;


// button handlers file names

$tdataRO_Customer_List_Summary[".addPageEvents"] = false;


// use datepicker for search panel
$tdataRO_Customer_List_Summary[".isUseCalendarForSearch"] = false;

// use timepicker for search panel
$tdataRO_Customer_List_Summary[".isUseTimeForSearch"] = false;

$tdataRO_Customer_List_Summary[".isUseiBox"] = false;




$tdataRO_Customer_List_Summary[".isUseInlineJs"] = $tdataRO_Customer_List_Summary[".isUseInlineAdd"] || $tdataRO_Customer_List_Summary[".isUseInlineEdit"];

$tdataRO_Customer_List_Summary[".allSearchFields"] = array();

$tdataRO_Customer_List_Summary[".globSearchFields"][] = "Nos";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Nos", $tdataRO_Customer_List_Summary[".allSearchFields"]))
{
	$tdataRO_Customer_List_Summary[".allSearchFields"][] = "Nos";	
}
$tdataRO_Customer_List_Summary[".globSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataRO_Customer_List_Summary[".allSearchFields"]))
{
	$tdataRO_Customer_List_Summary[".allSearchFields"][] = "Customer Status";	
}


$tdataRO_Customer_List_Summary[".googleLikeFields"][] = "Nos";
$tdataRO_Customer_List_Summary[".googleLikeFields"][] = "Region";
$tdataRO_Customer_List_Summary[".googleLikeFields"][] = "Customer Status";



$tdataRO_Customer_List_Summary[".advSearchFields"][] = "Nos";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Nos", $tdataRO_Customer_List_Summary[".allSearchFields"])) 
{
	$tdataRO_Customer_List_Summary[".allSearchFields"][] = "Nos";	
}
$tdataRO_Customer_List_Summary[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO_Customer_List_Summary[".allSearchFields"])) 
{
	$tdataRO_Customer_List_Summary[".allSearchFields"][] = "Region";	
}
$tdataRO_Customer_List_Summary[".advSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataRO_Customer_List_Summary[".allSearchFields"])) 
{
	$tdataRO_Customer_List_Summary[".allSearchFields"][] = "Customer Status";	
}

$tdataRO_Customer_List_Summary[".isTableType"] = "list";


	

$tdataRO_Customer_List_Summary[".isDisplayLoading"] = true;

$tdataRO_Customer_List_Summary[".isResizeColumns"] = false;





$tdataRO_Customer_List_Summary[".pageSize"] = 20;

$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataRO_Customer_List_Summary[".strOrderBy"] = $gstrOrderBy;
	
$tdataRO_Customer_List_Summary[".orderindexes"] = array();

$tdataRO_Customer_List_Summary[".sqlHead"] = "SELECT COUNT(idCL) AS Nos,  Region,  `Customer Status`";
$tdataRO_Customer_List_Summary[".sqlFrom"] = "FROM customer_list";
$tdataRO_Customer_List_Summary[".sqlWhereExpr"] = "";
$tdataRO_Customer_List_Summary[".sqlTail"] = "GROUP BY Region, `Customer Status`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRO_Customer_List_Summary[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRO_Customer_List_Summary[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataRO_Customer_List_Summary[".Keys"] = $tableKeys;

//	Nos
	$fdata = array();
	$fdata["strName"] = "Nos";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Nos";
	
		$fdata["FullName"]= "COUNT(idCL)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataRO_Customer_List_Summary["Nos"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "Region";
	
		
		
		
		
		
				$fdata["Index"]= 2;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=50";
		
		
		
		
		
		
		
		
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				
		
				
		
		
		
			$tdataRO_Customer_List_Summary["Region"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataRO_Customer_List_Summary["Customer Status"]=$fdata;

	
$tables_data["RO-Customer List Summary"]=&$tdataRO_Customer_List_Summary;
$field_labels["RO_Customer_List_Summary"] = &$fieldLabelsRO_Customer_List_Summary;
$fieldToolTips["RO-Customer List Summary"] = &$fieldToolTipsRO_Customer_List_Summary;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["RO-Customer List Summary"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["RO-Customer List Summary"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="employee_list";
	$masterTablesData["RO-Customer List Summary"][$mIndex] = array(
		  "mDataSourceTable"=>"My Home"
		, "mOriginalTable" => $strOriginalDetailsTable
		, "mShortTable" => "My_Home"
		, "masterKeys" => array()
		, "detailKeys" => array()
		, "dispChildCount" => "1"
		, "hideChild" => "0"	
		, "dispInfo" => "1"								
		, "previewOnList" => 1
		, "previewOnAdd" => 0
		, "previewOnEdit" => 0
		, "previewOnView" => 1
	);	
		$masterTablesData["RO-Customer List Summary"][$mIndex]["masterKeys"][]="Region";
		$masterTablesData["RO-Customer List Summary"][$mIndex]["detailKeys"][]="Region";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto473=array();
$proto473["m_strHead"] = "SELECT";
$proto473["m_strFieldList"] = "COUNT(idCL) AS Nos,  Region,  `Customer Status`";
$proto473["m_strFrom"] = "FROM customer_list";
$proto473["m_strWhere"] = "";
$proto473["m_strOrderBy"] = "";
$proto473["m_strTail"] = "GROUP BY Region, `Customer Status`";
$proto474=array();
$proto474["m_sql"] = "";
$proto474["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto474["m_column"]=$obj;
$proto474["m_contained"] = array();
$proto474["m_strCase"] = "";
$proto474["m_havingmode"] = "0";
$proto474["m_inBrackets"] = "0";
$proto474["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto474);

$proto473["m_where"] = $obj;
$proto476=array();
$proto476["m_sql"] = "";
$proto476["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto476["m_column"]=$obj;
$proto476["m_contained"] = array();
$proto476["m_strCase"] = "";
$proto476["m_havingmode"] = "0";
$proto476["m_inBrackets"] = "0";
$proto476["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto476);

$proto473["m_having"] = $obj;
$proto473["m_fieldlist"] = array();
						$proto478=array();
			$proto479=array();
$proto479["m_functiontype"] = "SQLF_COUNT";
$proto479["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCL",
	"m_strTable" => "customer_list"
));

$proto479["m_arguments"][]=$obj;
$proto479["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto479);

$proto478["m_expr"]=$obj;
$proto478["m_alias"] = "Nos";
$obj = new SQLFieldListItem($proto478);

$proto473["m_fieldlist"][]=$obj;
						$proto481=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto481["m_expr"]=$obj;
$proto481["m_alias"] = "";
$obj = new SQLFieldListItem($proto481);

$proto473["m_fieldlist"][]=$obj;
						$proto483=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto483["m_expr"]=$obj;
$proto483["m_alias"] = "";
$obj = new SQLFieldListItem($proto483);

$proto473["m_fieldlist"][]=$obj;
$proto473["m_fromlist"] = array();
												$proto485=array();
$proto485["m_link"] = "SQLL_MAIN";
			$proto486=array();
$proto486["m_strName"] = "customer_list";
$proto486["m_columns"] = array();
$proto486["m_columns"][] = "idCL";
$proto486["m_columns"][] = "Created on";
$proto486["m_columns"][] = "Region";
$proto486["m_columns"][] = "Customer Name";
$proto486["m_columns"][] = "Address";
$proto486["m_columns"][] = "City";
$proto486["m_columns"][] = "State";
$proto486["m_columns"][] = "Country";
$proto486["m_columns"][] = "Postal Code";
$proto486["m_columns"][] = "Web address";
$proto486["m_columns"][] = "Area";
$proto486["m_columns"][] = "Customer_Category";
$proto486["m_columns"][] = "Breif About the Company";
$proto486["m_columns"][] = "Existing Setup";
$proto486["m_columns"][] = "Interaction Summary";
$proto486["m_columns"][] = "Commercial Summary";
$proto486["m_columns"][] = "Customer Status";
$proto486["m_columns"][] = "Assigned Executive";
$proto486["m_columns"][] = "Assigned Date";
$proto486["m_columns"][] = "Last Updated on";
$proto486["m_columns"][] = "Aligned Partner";
$obj = new SQLTable($proto486);

$proto485["m_table"] = $obj;
$proto485["m_alias"] = "";
$proto487=array();
$proto487["m_sql"] = "";
$proto487["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto487["m_column"]=$obj;
$proto487["m_contained"] = array();
$proto487["m_strCase"] = "";
$proto487["m_havingmode"] = "0";
$proto487["m_inBrackets"] = "0";
$proto487["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto487);

$proto485["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto485);

$proto473["m_fromlist"][]=$obj;
$proto473["m_groupby"] = array();
												$proto489=array();
						$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto489["m_column"]=$obj;
$obj = new SQLGroupByItem($proto489);

$proto473["m_groupby"][]=$obj;
												$proto491=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto491["m_column"]=$obj;
$obj = new SQLGroupByItem($proto491);

$proto473["m_groupby"][]=$obj;
$proto473["m_orderby"] = array();
$obj = new SQLQuery($proto473);

$queryData_RO_Customer_List_Summary = $obj;
$tdataRO_Customer_List_Summary[".sqlquery"] = $queryData_RO_Customer_List_Summary;

$tableEvents["RO-Customer List Summary"] = new eventsBase;

?>
